package com.jiayue.ipfcst.ftpsftp.dto;
/**
 * FTPSFTP DTO
 *
 * @author whc
 * @version 2.0
 * @since 2021/4/13 15:36
 */
public class FTPSFTPDto {
    // 名称
    private String name;
    // 大小
    private String fileSize;
    // 最后修改日期
    private String lastModified;
    // 权限
    private String jurisdiction;
    // 是否是文件夹
    private Boolean directory;
    // 对方路径
    private String servicePath;
    // ip
    private String remoteIp;
    // 端口
    private String remotePort;
    // 用户名
    private String uploadUserName;
    // 密码
    private String uploadPassword;
  public String getRemoteIp() {
    return remoteIp;
  }

  public void setRemoteIp(String remoteIp) {
    this.remoteIp = remoteIp;
  }

  public String getRemotePort() {
    return remotePort;
  }

  public void setRemotePort(String remotePort) {
    this.remotePort = remotePort;
  }

  public String getUploadUserName() {
    return uploadUserName;
  }

  public void setUploadUserName(String uploadUserName) {
    this.uploadUserName = uploadUserName;
  }

  public String getUploadPassword() {
    return uploadPassword;
  }

  public void setUploadPassword(String uploadPassword) {
    this.uploadPassword = uploadPassword;
  }


  public String getServicePath() {
    return servicePath;
  }

  public void setServicePath(String servicePath) {
    this.servicePath = servicePath;
  }



  public Boolean getDirectory() {
    return directory;
  }

  public void setDirectory(Boolean directory) {
    this.directory = directory;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getFileSize() {
    return fileSize;
  }

  public void setFileSize(String fileSize) {
    this.fileSize = fileSize;
  }

  public String getLastModified() {
    return lastModified;
  }

  public void setLastModified(String lastModified) {
    this.lastModified = lastModified;
  }

  public String getJurisdiction() {
    return jurisdiction;
  }

  public void setJurisdiction(String jurisdiction) {
    this.jurisdiction = jurisdiction;
  }
}
